Subject: Re: Conforming to pep8

From: Michael Haggerty <[email-masked]>
Date: Fri, 09 May 2014 16:33:47 +0200

On 05/09/2014 04:09 AM, Jonathan Nieder wrote:
> (cc-ing Pete Wyckoff who maintains git-p4 and Michael Haggerty
> who maintains git-multimail)
> William Giokas wrote:
> 
>>      - We follow PEP-8 (http://www.python.org/dev/peps/pep-0008/).
>>
>> It's even the first thing that you see when you go looking for 'python'
>> in the coding style document. I just ran every file in the tree that
>> either ended in '.py' or had a python #!, and was greeted with a whole
>> bunch of output::
>>
>>     ./git-p4.py
>>     ./contrib/svn-fe/svnrdump_sim.py
>>     ./contrib/remote-helpers/git-remote-bzr
>>     ./contrib/hooks/multimail/post-receive
>>     ./contrib/hooks/multimail/migrate-mailhook-config
>>     ./contrib/hooks/multimail/git_multimail.py
>>     ./contrib/hooks/multimail/README
>>     ./contrib/hg-to-git/hg-to-git.py
>>     ./contrib/gitview/gitview
>>     ./contrib/fast-import/import-zips.py
> 
> Thanks for running this check.  Passing on the result to the
> maintainers of some of those scripts in case they have thoughts.
> 
> [...]

Thanks for the heads-up, William and Jonathan.  I wasn't aware of the
pep8 tool.  Though I think it enforces a couple of rules that go a bit
beyond PEP8, I don't mind conforming to it, at least with options

    --max-line-length=99 --hang-closing

I just committed a change to my upstream repository that gets pep8 to
run cleanly on all Python files.

I don't think it is worth making an extra code drop to Git just to push
these mild stylistic changes, but if somebody disagrees you know where
to find my repo.

Michael

-- 
Michael Haggerty
[email-masked]
http://softwareswirl.blogspot.com/